/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none !important;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield !important;
}

@media
only screen
and (max-width: 760px), (min-device-width: 768px)
and (max-device-width: 1024px)  {

  /* Force table to not be like tables anymore */
  table.responsive, .responsive thead, .responsive tbody, .responsive th, .responsive td, .responsive tr {
    display: block;
  }

  /* Hide table headers (but not display: none;, for accessibility) */
  .responsive thead tr {
    position: absolute;
    top: -9999px;
    left: -9999px;
  }

  .responsive tr {
    margin: 0 0 1rem 0;
  }

  .responsive tr:nth-child(odd) {
    background: #ccc;
  }

  .responsive td {
    /* Behave  like a "row" */
    border: none;
    border-top: none !important;
    border-bottom: 1px solid #eee;
    position: relative;
    padding-left: 50%;
    min-height: 25px;
  }

  .responsive td:before {
    /* Now like a table header */
    position: absolute;
    /* Top/left values mimic padding */
    top: 0;
    left: 6px;
    width: 45%;
    padding-right: 10px;
    white-space: nowrap;
  }

  /*
  Label the data
  You could also use a data-* attribute and content for this. That way "bloats" the HTML, this way means you need to keep HTML and CSS in sync. Lea Verou has a clever way to handle with text-shadow.
  */

  /*#user-table td:nth-of-type(1):before { content: "Nom"; }*/
  /*#user-table td:nth-of-type(2):before { content: "Email"; }*/
  /*#user-table td:nth-of-type(3):before { content: "Téléphone"; }*/
  /*#user-table td:nth-of-type(4):before { content: "Nb jours"; }*/
  /*#user-table td:nth-of-type(5):before { content: "Semaine"; }*/
  /*#user-table td:nth-of-type(6):before { content: "Pars de"; }*/
  /*#user-table td:nth-of-type(7):before { content: "Pars le"; }*/
  /*#user-table td:nth-of-type(8):before { content: "Commentaire aller"; }*/
  /*#user-table td:nth-of-type(9):before { content: "Rentre à"; }*/
  /*#user-table td:nth-of-type(10):before { content: "Rentre le"; }*/
  /*#user-table td:nth-of-type(11):before { content: "Commentaire retour"; }*/
  /*#user-table td:nth-of-type(12):before { content: "Conducteur"; }*/
  /*#user-table td:nth-of-type(13):before { content: "Places tuture sur place"; }*/
  /*#user-table td:nth-of-type(14):before { content: "Places tuture covoit"; }*/


  #admin-table td:nth-of-type(1):before { content: "Nom"; }
  #admin-table td:nth-of-type(2):before { content: "Montant à demander"; }
  #admin-table td:nth-of-type(3):before { content: "Montant payé"; }
  #admin-table td:nth-of-type(4):before { content: "Attente de paiement"; }
  #admin-table td:nth-of-type(5):before { content: "Attente de demande"; }
  #admin-table td:nth-of-type(6):before { content: "Paiements"; }

}
.responsive td {
  /* Behave  like a "row" */
  border-top: 2px solid #000000;
}
.responsive td, .responsive th{
  text-align: left;
  padding-right: 100px;
}


input.form__field {
  font-family: inherit;
  border: 0;
  border-bottom: 2px solid rgb(63, 81, 181);
  outline: 0;
  font-size: 1.3rem;
  color: #000000;
  padding: 7px 0;
  background: transparent;
  transition: border-color 0.2s;

}

.form__field{
  display: inline-block;
  width: calc(50% - 40px);
  margin-left: 20px;
}

.mat-form-field.form__field{
  max-height: 2px;
}


.form__libelle{
  display: inline-block;
  vertical-align: baseline;
  width: calc(50% - 40px);
  margin-left: 20px;
  text-align: right;
}

.close.mat-button {
  position: absolute;
  top: 0;
  right: 0;
  padding: 5px;
  line-height: 14px;
  min-width: auto;
}
.formAchat mat-divider{
  padding-bottom: 10px;
}


.large-cell{
  min-width: 500px;
}
.mid-cell{
  min-width: 150px;
}
tr:nth-of-type(odd) { background: #CCC; }
.fixed-side:nth-of-type(odd) { background: #CCC; }
.table-scroll {
  position:relative;
  margin:auto;
  overflow:hidden;
  border:1px solid #000;
}
.table-wrap {
  width:100%;
  overflow:auto;
}
.table-scroll table {
  width:100%;
  margin:auto;
  border-collapse:separate;
  border-spacing:0;
}
.table-scroll th, .table-scroll td {
  padding:5px 10px;
  border:1px solid #000;
  /*background:#fff;*/
  white-space:nowrap;
  vertical-align:top;
}
.table-scroll thead, .table-scroll tfoot {
  background:#f9f9f9;
}
.clone {
  position:absolute;
  top:0;
  left:0;
  pointer-events:none;
}
.clone th, .clone td {
  visibility:hidden
}
.clone td, .clone th {
  border-color:transparent
}
.clone tbody th {
  visibility:visible;
  color:red;
}
.clone .fixed-side {
  border:1px solid #000;
  background:#eee;
  visibility:visible;
}
.clone thead, .clone tfoot{background:transparent;}



.mat-option{
  text-align: right;
}
.form__field{
  width: 45%;
}

.red-color{
  color: red
}


.green-color{
  color: green
}

td:before{
  display: block;
  overflow-wrap: break-word;
}

.border-left{
  border-left: 5px solid #000 !important;
}

.border-rigth{
  border-right: 5px solid #000 !important;
}
.border-bottom{
  border-bottom: 5px solid #000 !important;
}

a { color: inherit !important; }

.no-background td{
  background-color: white !important;
}

